/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod_$type } from "./IShortPeriodLongPeriod";
import { PercentagePriceOscillatorIndicatorStrategy } from "./PercentagePriceOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES5/type";
var PercentagePriceOscillatorIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(PercentagePriceOscillatorIndicator, _super);
    function PercentagePriceOscillatorIndicator() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PercentagePriceOscillatorIndicator.prototype.get_p0 = function () {
        return new PercentagePriceOscillatorIndicatorStrategy();
    };
    Object.defineProperty(PercentagePriceOscillatorIndicator.prototype, "p0", {
        get: function () {
            return this.get_p0();
        },
        enumerable: true,
        configurable: true
    });
    PercentagePriceOscillatorIndicator.prototype.get_qd = function () {
        return PercentagePriceOscillatorIndicator.$;
    };
    Object.defineProperty(PercentagePriceOscillatorIndicator.prototype, "qd", {
        get: function () {
            return this.get_qd();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PercentagePriceOscillatorIndicator.prototype, "shortPeriod", {
        get: function () {
            return typeGetValue(this.c(PercentagePriceOscillatorIndicator.qm));
        },
        set: function (a) {
            this.h(PercentagePriceOscillatorIndicator.qm, a);
        },
        enumerable: true,
        configurable: true
    });
    PercentagePriceOscillatorIndicator.prototype.p8 = function () {
        return this.shortPeriod;
    };
    Object.defineProperty(PercentagePriceOscillatorIndicator.prototype, "longPeriod", {
        get: function () {
            return typeGetValue(this.c(PercentagePriceOscillatorIndicator.ql));
        },
        set: function (a) {
            this.h(PercentagePriceOscillatorIndicator.ql, a);
        },
        enumerable: true,
        configurable: true
    });
    PercentagePriceOscillatorIndicator.prototype.p5 = function () {
        return this.longPeriod;
    };
    PercentagePriceOscillatorIndicator.qm = StrategyBasedIndicator.qk(10, PercentagePriceOscillatorIndicator.$);
    PercentagePriceOscillatorIndicator.ql = StrategyBasedIndicator.qg(30, PercentagePriceOscillatorIndicator.$);
    PercentagePriceOscillatorIndicator.$t = markType(PercentagePriceOscillatorIndicator, 'PercentagePriceOscillatorIndicator', StrategyBasedIndicator.$, [IShortPeriodLongPeriod_$type]);
    return PercentagePriceOscillatorIndicator;
}(StrategyBasedIndicator));
export { PercentagePriceOscillatorIndicator };
/*<BeginStatics Name="Infragistics.Controls.Charts.PercentagePriceOscillatorIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.PercentagePriceOscillatorIndicator" />*/
